- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eina::log_domain Struct Reference
Eina C++ » Tools » Log Eina C++ » | Tools

Class for creating log domains. More...

## Public Member Functions
| log_domain (char const *name, char const *color="black")
| Creates a new log domain. More...
| ~log_domain ()
| Unregister the domain.
int | domain_raw () const
Public Member Functions inherited from efl::eina::_domain_base< log_domain >
void | set_level (::Eina_Log_Level l)
| Set the domain log level to the level specified by the given identifier. More...
::Eina_Log_Level | get_level () const
| Get the domain log level. More...
void | set_level (log_level::critical_t l)
| Set the domain log level based on the given log level type.
void | set_level (log_level::error_t l)
void | set_level (log_level::info_t l)
void | set_level (log_level::debug_t l)
void | set_level (log_level::warn_t l)

## Detailed Description

Class for creating log domains.

It register a new domain upon construction and unregister it upon destruction, following the RAII programming idiom.

## Constructor & Destructor Documentation

efl::eina::log_domain::log_domain | ( | char const * | name,
|  | char const * | color = `"black"`
| ) |  |
| inline

Creates a new log domain.

Parameters

  name | Name of the domain.
  color | Color of the domain name.